Main Page Packages Class Hierarchy Compound List File List Compound Members

# nodenotationnodetype Class Reference

Inherits DOMTestCase.

List of all members.

## Public Methods
| nodenotationnodetype (DOMTestDocumentBuilderFactory factory)
void | runTest () throws java.lang.Throwable
String | getTargetURI ()
## Static Public Methods
void | main (String[] args)

## Detailed Description

The "getNodeType()" method for an Notation Node

returns the constant value 12.

Retrieve the Notation declaration in the DocumentType

node and invoke the "getNodeType()" method. The method

should return 12.

Author:
  NIST , Mary Brady

See also:
  http://www.w3.org/TR/1998/REC-DOM-Level-1-19981001/level-one-core#ID-111237558

Definition at line 51 of file nodenotationnodetype.java.

## Constructor & Destructor Documentation

nodenotationnodetype::nodenotationnodetype | ( | DOMTestDocumentBuilderFactory | factory | ) | `[inline]`

| Definition at line 53 of file nodenotationnodetype.java.
    00054  {
    00055       super(factory);
    00056
    00057    }

## Member Function Documentation

String nodenotationnodetype::getTargetURI | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTest. Definition at line 73 of file nodenotationnodetype.java.
    00073                                 {
    00074       return "http://www.w3.org/2001/DOM-Test-Suite/level1/core/nodenotationnodetype";
    00075    }

void nodenotationnodetype::main | ( | String | args[] | ) | `[inline, static]`

| Definition at line 76 of file nodenotationnodetype.java. References DOMTestCase::doMain().
    00076                                           {
    00077         DOMTestCase.doMain(nodenotationnodetype.class,args);
    00078    }

void nodenotationnodetype::runTest | ( |  | ) | `[inline, virtual]`

| Reimplemented from DOMTestCase. Definition at line 59 of file nodenotationnodetype.java. References DOMTestCase::assertEquals(), and DOMTest::load().
    00059                                                     {
    00060       Document doc;
    00061       DocumentType docType;
    00062       NamedNodeMap testName;
    00063       Notation notationNode;
    00064       int nodeType;
    00065       doc = load("staff");
    00066       docType = doc.getDoctype();
    00067       testName = docType.getNotations();
    00068       notationNode = (Notation)testName.getNamedItem("notation1");
    00069       nodeType = (int)notationNode.getNodeType();
    00070       assertEquals("nodeNotationNodeTypeAssert1",12,nodeType);
    00071
    00072    }

The documentation for this class was generated from the following file:

- nodenotationnodetype.java